<font size=+0>
<B>Please enter a suitable data source string, before you try the database demos</B>
<pre>
     Please enter the name for an existing data source which has been 
     set up in the OC4J config's data-sources.xml file.  You may have to edit
     the url attributes in the data-source tags to reference your database.

</pre>
<% 
   String connStr;
   connStr=request.getParameter("DSconnStr");
   if (connStr==null) {
     connStr=(String)session.getValue("DSconnStr");
   }
   if (connStr==null) {
     connStr="jdbc/OracleCoreDS";  // default data source
   }

   session.putValue("DSconnStr",connStr);
%>
<FORM METHOD=get>
<INPUT TYPE="text" NAME="connStr" SIZE=40 value="<%=connStr%>" >
<INPUT TYPE="submit" VALUE="Set Connection String" >
</FORM>
</font>
